/*
 * ExtremumDetection.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "SYSCTRL/ExtremumDetection.h"

namespace SYSCTRL
{
//CONSTRUCTOR
ExtremumDetection::ExtremumDetection():
        m_max_value(FP_ZERO),
        m_min_value(FP_ZERO)
{}//CONSTRUCTOR

#pragma CODE_SECTION("ramfuncs");
void ExtremumDetection::execute(float ia, float ib, float ic)
{
    m_max_value = fmaxf(m_max_value, ia);
    m_max_value = fmaxf(m_max_value, ib);
    m_max_value = fmaxf(m_max_value, ic);
    //
    m_min_value = fminf(m_min_value, ia);
    m_min_value = fminf(m_min_value, ib);
    m_min_value = fminf(m_min_value, ic);
    //
}   // execute


} /* namespace SYSCTRL */
